package com.persagy.apm.diagnose.feign.client;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.alibaba.fastjson.JSONObject;

/**
 * @ClassName CenterMiddlewareClient
 * @author leifeng
 * @version 1.0.0
 * @Description 中间件
 * @createTime 2021/9/24 15:12
 */
//@FeignClient(name = "CENTER-MIDDLEWARE",url="http://develop2.persagy.com/center-middleware")
@FeignClient(name = "CENTER-MIDDLEWARE")
public interface CenterMiddlewareClient {

    @PostMapping(value = "/object/query")
    public String queryObject(@RequestBody Map<String, Object> requestMap);

    @PostMapping(value = "/hisdata/queryPeriodData")
    public String queryPeriodData(@RequestBody Map<String, Object> requestMap);

    @PostMapping(value = "/mng/project/query")
    public String queryProject(@RequestBody Map<String, Object> requestMap);

}
