package com.persagy.apm.diagnose.indicatorrecord.model.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @ClassName CalculateVariableDTO
 * @author leifeng
 * @version 1.0.0
 * @Description 对象指标发送时间
 * @createTime 2021/9/23 20:54
 */
@Data
@Builder(toBuilder=true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ConfigItemDataSendTimeDTO {

	private Date lastSendTime;

	private Date updateTime;

}
