package com.persagy.apm.diagnose.indicatorrecord.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-09-10 00:13:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询监测指标历史记录入参")
public class PageQueryMonitorIndicatorRecordDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;
    
    @ApiModelProperty(value = "对象id", required = true)
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "时间", required = true)
    private Date date;
    
    @ApiModelProperty(value = "值", required = true)
    private String value;
    
}
