package com.persagy.apm.diagnose.maintenance.service;

import com.persagy.apm.diagnose.service.dto.ProjectDTO;

import java.util.Date;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.Future;

/**
 * service接口 项目数据记录
 */
public interface IProjectDataRecordService {

    Future<String> computeMaintenanceData(Date todayDate, ProjectDTO projectDTO, CountDownLatch latch) throws Exception;

    Future<String> sendMaintenanceData(Date todayDate,String projectId, CountDownLatch latch) throws Exception;

    Future<String> syncGoingDestroyEquip(String projectId, CountDownLatch latch) throws Exception;

}
