package com.persagy.apm.diagnose.timerecord.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-10 00:13:10
 */
@Data
@ApiModel(value = "创建监测指标计算时间入参")
public class AddCalculateTimeRecordDTO {
    @ApiModelProperty(value = "对象id", required = true)
    @NotNull(message = "对象id不能为空") // todo 更新校验规则
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    @NotNull(message = "监测指标id不能为空") // todo 更新校验规则
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "上次计算时间", required = true)
    @NotNull(message = "上次计算时间不能为空") // todo 更新校验规则
    private Date calculateLastTime;
    
}
